Bug 125809 - run_init refers to /etc/security/initrc_context. Syslog fails
Summary: run_init refers to /etc/security/initrc_context. Syslog fails
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: policycoreutils   
(Show other bugs)
Version: 2
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-06-11 18:15 UTC by Tom London
Modified: 2007-11-30 22:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-14 22:30:34 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tom London 2004-06-11 18:15:08 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
run_init seems to be hardwired to reference
/etc/security/initrc_context even though this file has been moved to
/etc/selinux/$(POLICYTYPE)/contexts/initrc_context.

This seems to case syslog not to start.

Version-Release number of selected component (if applicable):
policycoreutils-1.13.3

How reproducible:
Always

Steps to Reproduce:
1. run 'run_init /etc/rc.d/init.d/syslog start'
2.
3.
    

Additional info:

Comment 1 Tom London 2004-06-14 22:30:34 UTC
Appears fixed in policycoreutils-1.13.1-2

Thanks!


Note You need to log in before you can comment on or make changes to this bug.